Bug 241528 - syslog-ng 2.0.4: Number of allowed concurrent connections exceeded; num='10', max='10'
Summary: syslog-ng 2.0.4: Number of allowed concurrent connections exceeded; num='10',...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-05-27 10:09 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-20 17:10:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2007-05-27 10:09:58 UTC
Description of problem:

I get lots of "Number of allowed concurrent connections exceeded; num='10',
max='10'" in /var/log/messages so maybe syslog-ng defaults as shipped by fedora
are too small (this is a single-user home system)

Version-Release number of selected component (if applicable):

syslog-ng-2.0.4-2.fc8

Comment 1 Nicolas Mailhot 2007-05-31 16:56:27 UTC
Experimenting shows the default 10 is too small to handle all the logs spilled
at system statup and unix-stream("/dev/log"); needs to be changed in 
unix-stream("/dev/log" max-connections(48)); (32 is too small, I blame 48 on ATM)

Comment 2 Jose Pedro Oliveira 2007-05-31 18:20:45 UTC
The new max-connections enforcement introduced in syslog-ng 2.0.4 is 
quite "nasty" (the 10 connections default is in fact too low).

With the default configuration I didn't detect any warning but as soon I
started using yum to update/install packages I started seeing the
"Number of allowed concurrent connections exceeded" message.

Bumping the max-connections to 20 solved the problem (with the default
configuration).

     source s_sys {
         file ("/proc/kmsg" log_prefix("kernel: "));
    -    unix-stream ("/dev/log");
    +    unix-stream ("/dev/log" max-connections(20));
         internal();

I will try to update syslog-ng in my main log server to version 2.0.4
and see the result.


From the syslog-ng-2.0.4 NEWS file
----------------------------------
2.0.4
        Mon, 14 May 2007 11:47:48 +0200

        IMPORTANT NOTES:
        * This version of syslog-ng fixes a bug in enforcing the
          max-connections() limit for various stream-like sources
          (unix-stream and tcp). Previously this limit was not enforced,
          thus production environments may use an inadequate value.
          Validate your max-connection() settings before upgrading
          and check your logs for rejected connections.

...

Comment 3 Nicolas Mailhot 2007-05-31 18:47:04 UTC
IMHO for the default local system source it's better to be too big than too
small, and 32 was still too small on my system (without too many log-spilling
daemons installed)

Comment 4 Jose Pedro Oliveira 2007-06-10 14:58:39 UTC
syslog-ng 2.04 is now available in F-7 updates-testing.

Changelog:
The default configuration file now defines the number of max-connections for
unix-streams as 32.

   ...
   unix-stream ("/dev/log" max-connections(32));
   ...




Note You need to log in before you can comment on or make changes to this bug.